/*	
	Now playing plugin for Sonique 2.0
    Copyright (C) 2003  Jerome Kuptz

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _SQ2_Now_Playing_H_
#define _SQ2_Now_Playing_H_

#include "mia.h"
#include "sq2_gui.h"

// {D18C290D-D5DF-4409-BA21-07D1FB2B26EC}
DEFINE_MID(FID_SQ2_AUDIO_NOW, 
0xd18c290d, 0xd5df, 0x4409, 0xba, 0x21, 0x7, 0xd1, 0xfb, 0x2b, 0x26, 0xec);

// {7AC387AA-4BB5-43f4-B115-3F469ADE6F03}
DEFINE_MID(MID_MEDIAFILTER_NOW, 
0x7ac387aa, 0x4bb5, 0x43f4, 0xb1, 0x15, 0x3f, 0x46, 0x9a, 0xde, 0x6f, 0x3);


// NOTE: just way too lazy to do any real errors here.
enum
{
	ERR_NOW_FILECORRUPT,
	ERR_NOW__NUM
};

#define ERR_NOW__MODULE "Now"


inline MError* GetNowErrors(MError* Errors)
{
	Errors[ERR_NOW_FILECORRUPT].Name			=	"the file could not be loaded; it appears to be corrupt";
	return Errors;
}

#endif//_SQ2_Now_Playing_H_
